org.eclipse.emf.cdo.view

## Class CDOStaleReferencePolicy.DynamicProxy

- java.lang.Object
- - org.eclipse.emf.cdo.view.CDOStaleReferencePolicy.DynamicProxy

- All Implemented Interfaces:
    CDOStaleReferencePolicy
  Direct Known Subclasses:
    CDOStaleReferencePolicy.DynamicProxy.Enhanced
  Enclosing interface:
    CDOStaleReferencePolicy

      public static class CDOStaleReferencePolicy.DynamicProxy
      extends Object
      implements CDOStaleReferencePolicy

  Since:
    4.4
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CDOStaleReferencePolicy.DynamicProxy.Enhanced`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.view.CDOStaleReferencePolicy

      `CDOStaleReferencePolicy.DynamicProxy`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.view.CDOStaleReferencePolicy

      `DEFAULT, EXCEPTION, PROXY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DynamicProxy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected EClassifier` | `getType(EObject source, EStructuralFeature feature, int index, CDOID target)`
    `Object` | `processStaleReference(EObject source, EStructuralFeature feature, int index, CDOID target)` Returns an object that we want to return to the caller (clients).
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DynamicProxy

          public DynamicProxy()

  - ### Method Detail

    - #### processStaleReference

          public Object processStaleReference(EObject source,
                                              EStructuralFeature feature,
                                              int index,
                                              CDOID target)

      Description copied from interface: `CDOStaleReferencePolicy`
      Returns an object that we want to return to the caller (clients). Exception thrown will be received by the caller (clients).
      Specified by:
        `processStaleReference` in interface `CDOStaleReferencePolicy`

    - #### getType

          protected EClassifier getType(EObject source,
                                        EStructuralFeature feature,
                                        int index,
                                        CDOID target)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html